Jobs

Upload data to job

POST
/v3/aftermarket/customers/{customerId}/jobs/{jobId}/upload

Uploads data to kickstart asynchronous processing of the job. Requires placeholder job to be created. Limit of 100MB per request. Status of the job can be checked using the /v3/aftermarket/customers/{customerId}/jobs/{jobId} endpoint. Once processing has finished, results can be retrieved using the /v3/aftermarket/customers/{customerId}/jobs/{jobId}/results endpoint.

Authorization

sso-key
headerAuthorization<token>

Standard GoDaddy SSO header authorization. Format: sso-key YOUR_API_KEY:YOUR_API_SECRET

Path Parameters

jobId*string

A unique identifier for the job

Formatuuid
customerId*string

An identifier for a customer. A special alias 'my' is supported when accessing the authenticated customer's own data.

Match^[a-f0-9]{8}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{12}$|^MY$|^my$
Default"my"

Header Parameters

X-Request-Id?string

A unique identifier for the request

Request Body

The data to upload for the asynchronous job. Limit of 100MB and file/data should be in CSV format. Supports multiple Content-Types.

  1. body
file*unknown

CSV file to upload

Response Body

No data is returned when the data is uploaded successfully to the job for asynchronous processing.

Example Request
curl -X POST 'https://api.afternic.com/v3/aftermarket/customers/my/jobs/497f6eca-6276-4993-bfeb-53cbbbba6f08/upload' \  -F 'file=null'
Example Response
Empty